%define pear_name Numbers_Roman

Summary: Provides methods for converting to and from Roman Numerals.
Name: php-pear-numbers-roman
Version: 0.2.0
Release: 1tr
Group: Trustix Official
Source: http://download.pear.php.net/package/%{pear_name}-%{version}.tgz
License: PHP
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: php-pear
Requires: php-pear

%description
Numbers_Roman provides static methods for converting to and from Roman
numerals. It supports Roman numerals in both uppercase and lowercase
styles and conversion for and to numbers up to 5 999 999.

%prep
[ -f package*.xml ] && rm $RPM_BUILD_DIR/package*.xml
%setup -q -n %{pear_name}-%{version}
mv ../package.xml %{pear_name}.xml

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

/usr/bin/pear install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml
install -m 644 %{pear_name}.xml $RPM_BUILD_ROOT/usr/lib/php/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%post
/usr/bin/pear install --nodeps --soft --force --register-only \
    /usr/lib/php/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/pear uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi



%files
%defattr(-,root,root,0755)
%doc docs/*
%{_libdir}/php/Numbers/Roman.php
%{_libdir}/php/%{pear_name}.xml


%changelog
* Thu Oct 04 2007 Nived Gopalan <nived at trustix dot org> 0.2.0-1tr
- Initial release.

